/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { BollingerBandWidthIndicatorStrategy } from "./BollingerBandWidthIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
var BollingerBandWidthIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(BollingerBandWidthIndicator, _super);
    function BollingerBandWidthIndicator() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    BollingerBandWidthIndicator.prototype.get_p3 = function () {
        return new BollingerBandWidthIndicatorStrategy();
    };
    Object.defineProperty(BollingerBandWidthIndicator.prototype, "p3", {
        get: function () {
            return this.get_p3();
        },
        enumerable: true,
        configurable: true
    });
    BollingerBandWidthIndicator.prototype.get_qg = function () {
        return BollingerBandWidthIndicator.$;
    };
    Object.defineProperty(BollingerBandWidthIndicator.prototype, "qg", {
        get: function () {
            return this.get_qg();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BollingerBandWidthIndicator.prototype, "qp", {
        get: function () {
            return typeGetValue(this.c(BollingerBandWidthIndicator.qs));
        },
        set: function (a) {
            this.h(BollingerBandWidthIndicator.qs, a);
        },
        enumerable: true,
        configurable: true
    });
    BollingerBandWidthIndicator.prototype.p9 = function () {
        return this.qp;
    };
    Object.defineProperty(BollingerBandWidthIndicator.prototype, "qo", {
        get: function () {
            return this.c(BollingerBandWidthIndicator.qr);
        },
        set: function (a) {
            this.h(BollingerBandWidthIndicator.qr, a);
        },
        enumerable: true,
        configurable: true
    });
    BollingerBandWidthIndicator.prototype.p7 = function () {
        return this.qo;
    };
    BollingerBandWidthIndicator.$t = markType(BollingerBandWidthIndicator, 'BollingerBandWidthIndicator', StrategyBasedIndicator.$);
    BollingerBandWidthIndicator.qs = StrategyBasedIndicator.ql(20, BollingerBandWidthIndicator.$);
    BollingerBandWidthIndicator.qr = StrategyBasedIndicator.qk(2, BollingerBandWidthIndicator.$);
    return BollingerBandWidthIndicator;
}(StrategyBasedIndicator));
export { BollingerBandWidthIndicator };
